SystemOrganization addCategory: #'Collections-Stack'!

LinkedList subclass: #Stack
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Collections-Stack'!

!Stack commentStamp: 'dc 7/24/2005 15:41' prior: 0!
I implement a simple Stack. #push: adds a new object of any kind on top of the stack. #pop returns the first element and remove it from the stack. #top answer the first element of the stack without removing it.!

!Stack methodsFor: 'removing' stamp: 'NikoSchwarz 10/21/2009 14:49'!
pop
	"Returns the first element and remove it from the stack."

	^self  removeFirst ! !

!Stack methodsFor: 'adding' stamp: 'NikoSchwarz 10/21/2009 14:48'!
push: anObject 
	"Adds a new object of any kind on top of the stack."
	self addFirst: anObject.
	^ anObject.! !

!Stack methodsFor: 'accessing' stamp: 'NikoSchwarz 10/21/2009 14:48'!
top
	"Answer the first element of the stack without removing it."
	^ self first! !
